// https://unocss.dev/presets/attributify#vue-3
import type { BasicAttributes, PseudoPrefix } from '@unocss/preset-attributify';

// https://github.com/unocss/unocss/pull/4095
type BasicAttributesFix = BasicAttributes | 'b';

type AttributifyNames<Prefix extends string = ''> =
  | `${Prefix}${BasicAttributesFix}`
  | `${Prefix}${PseudoPrefix}:${BasicAttributes}`;

declare module '@vue/runtime-dom' {
  interface HTMLAttributes extends Partial<Record<AttributifyNames, string | boolean>> {}
}

export {};
